Base Module VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
Steinberg::HexBinary Namespace Reference

## Functions
bool | decode (const void *input, int32 inputSize, Buffer &result)
| convert the HexBinary input buffer to binary.
bool | encode (const void *input, int32 inputSize, Buffer &result)
| convert the binary input buffer to HexBinary.

## Function Documentation

## ◆ decode()

bool decode | ( | const void * | input,
|  | int32 | inputSize,
|  | Buffer & | result )
| inline

convert the HexBinary input buffer to binary.

Note that it is appended to the result buffer.

## ◆ encode()

bool encode | ( | const void * | input,
|  | int32 | inputSize,
|  | Buffer & | result )
| inline

convert the binary input buffer to HexBinary.

Note that it is appended to the result buffer.

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.